import { AfterViewInit, ChangeDetectorRef, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Content, Editor, type EditorEvents } from '@tiptap/core';
import * as i0 from "@angular/core";
export declare class TiptapEditorDirective implements OnInit, AfterViewInit, ControlValueAccessor {
    protected elRef: ElementRef<HTMLElement>;
    protected renderer: Renderer2;
    protected changeDetectorRef: ChangeDetectorRef;
    readonly editor: import("@angular/core").InputSignal<Editor>;
    readonly outputFormat: import("@angular/core").InputSignal<"json" | "html">;
    protected onChange: (value: Content) => void;
    protected onTouched: () => void;
    writeValue(value: Content): void;
    registerOnChange(fn: () => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    protected handleChange: ({ editor, transaction }: EditorEvents["transaction"]) => void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TiptapEditorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TiptapEditorDirective, "tiptap[editor], [tiptap][editor], tiptap-editor[editor], [tiptapEditor][editor]", never, { "editor": { "alias": "editor"; "required": true; "isSignal": true; }; "outputFormat": { "alias": "outputFormat"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
